This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 720221 - HTML tidy can't handle Chinese file name in zh_CN.utf8 locale
HTML tidy can't handle Chinese file name in zh_CN.utf8 locale
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: tidy (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
: Patch, Reopened
Depends On:
Blocks: 725651
  Show dependency treegraph
 
Reported: 2011-07-10 23:05 EDT by Peng Wu
Modified: 2016-11-24 05:45 EST (History)
7 users (show)

See Also:
Fixed In Version: tidy-5.1.25-1.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 725651 (view as bug list)
Environment:
Last Closed: 2016-11-24 05:45:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Don't mangle the output filename (702 bytes, patch)
2011-07-26 08:31 EDT, Paul Howarth
no flags Details | Diff

  None (edit)
Description Peng Wu 2011-07-10 23:05:10 EDT
Description of problem:
When using '-output' option with Chinese file name, the created output file name is incorrect.

Version-Release number of selected component (if applicable):
tidy-0.99.0-21.20091203.fc15.x86_64

How reproducible:
Tidy a html with Chinese output file name.

Steps to Reproduce:
By using the following command:
$ touch 中文.html
$ /usr/bin/tidy -f 中文.html.stderr -output 中文.html.stdout 中文.html
$ ls
中??!.html.stdout  中文.html  中文.html.stderr

  
Actual results:
$ ls
中??!.html.stdout  中文.html  中文.html.stderr
'中文.html.stdout' becomes '中??!.html.stdout'.

Expected results:
$ ls
中文.html.stdout  中文.html  中文.html.stderr
'中文.html.stdout' becomes '中文.html.stdout'.

Additional info:
Comment 1 Peng Wu 2011-07-17 23:07:29 EDT
I tried tidyp, tidyp also have the same problem.
Comment 2 Paul Howarth 2011-07-26 08:31:36 EDT
Created attachment 515268 [details]
Don't mangle the output filename

Attached patch works for me, and shouldn't affect any other option processing.
Comment 3 Peng Wu 2011-07-28 01:39:27 EDT
Thanks very much for the fix. it works now.
Comment 4 Fedora End Of Life 2012-08-06 16:03:18 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 15. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 15 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Fedora End Of Life 2012-08-06 16:03:19 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 15. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 15 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Rex Dieter 2012-08-06 16:37:59 EDT
looks  like I missed incorporating this patch, will review asap.
Comment 7 Fedora End Of Life 2013-04-03 15:41:59 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 8 Fedora End Of Life 2015-01-09 16:50:43 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2015-11-04 10:44:56 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Paul Howarth 2015-11-04 13:39:30 EST
Rex, don't forget there's a patch for this.
Comment 11 Pavel Raiskup 2015-11-11 01:52:29 EST
https://github.com/htacg/tidy-html5/issues/294
Comment 12 Matěj Cepl 2015-11-11 05:31:39 EST
Patch posted upstream https://github.com/htacg/tidy-html5/pull/298
Comment 13 Fedora End Of Life 2016-11-24 05:32:57 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Paul Howarth 2016-11-24 05:45:26 EST
This fix has been merged upstream and is included in the tidy-5.x packages now available in F-24 onwards.

Note You need to log in before you can comment on or make changes to this bug.